scala.collection.jcl.SortedMap
class Filter

[source: `scala/collection/jcl/SortedMap.scala`]

`protected` `class` Filter(p : (K) => Boolean)
  `extends` SuperFilter `with` SortedMap[K, E]

Method Summary
`def` | compare (k0 : K, k1 : K) : Int Comparison function that orders keys.
`override def` | projection : Projection returns a facade that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.
`override def` | rangeImpl (from : Option[K], until : Option[K]) : SortedMap[K, E] Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.

Methods inherited from SortedMap
first, last, keySet, lense, Range

Methods inherited from Sorted
to

Methods inherited from Ranged
from, until, range

Methods inherited from Sorted
hasAll

Methods inherited from Filter
elements, remove, contains, put, get, size

Methods inherited from Map
clear, isEmpty, keys, valueSet, putAll, has, update, +, +=, -, -=

Methods inherited from Map
+=, ++=, ++=, +, ++, ++, -=, --=, --=, -, --, --, getOrElseUpdate, transform, retain, <<, clone, +=, incl, excl

Methods inherited from Map
getOrElse, apply, isDefinedAt, values, equals, hashCode, toString, default

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from MutableIterable
remove, removeAll, --, -, retain, retainAll, size0

Methods inherited from Collection
toArray, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`class` | Projection `extends` Projection

Method Details

`` `def` compare(k0 : K, k1 : K) : Int

  Comparison function that orders keys.

Overrides
  SortedMap.compare

`override` `def` projection : Projection

  returns a facade that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Overrides
  SortedMap.projection

`override` `def` rangeImpl(from : Option[K], until : Option[K]) : SortedMap[K, E]

  Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.

Parameters
  `from -` The lower-bound (inclusive) of the ranged projection. `None` if there is no lower bound.
  `until -` The upper-bound (exclusive) of the ranged projection. `None` if there is no upper bound.

Overrides
  SortedMap.rangeImpl